hslogger-1.3.2.0: Versatile logging framework

Copyright | Copyright (C) 2007-2011 John Goerzen <jgoerzen@complete.org>
License | BSD3
Portability | portable
Safe Haskell | None
Language | Haskell2010

System.Log.Handler.Growl

Description

Simple log handlers

Written by Richard M. Neswold, Jr. rich.neswold@gmail.com

Synopsis

- addTarget :: HostName -> GrowlHandler -> IO GrowlHandler
- growlHandler :: String -> Priority -> IO GrowlHandler

# Documentation

addTarget :: HostName -> GrowlHandler -> IO GrowlHandler Source #

Adds a remote machine's address to the list of targets that will receive log messages. Calling this function sends a registration packet to the machine. This function will throw an exception if the host name cannot be found.

growlHandler Source #

Arguments

:: String | The name of the service
-> Priority | Priority of handler
-> IO GrowlHandler |

Creates a Growl handler. Once a Growl handler has been created, machines that are to receive the message have to be specified.